#include "semver.h"
#include <assert.h>

int main() {
    Version  v;
    u128     n;
    uint64_t sn;

    v.vk_tag = SemVer;
    v.semver.major = 3;
    v.semver.minor = 14;
    v.semver.patch = 0;
    v.pr.tag = PRNone;
    v.arch = x86_64;
    n = u128FromVersion(&v);
    sn = (uint64_t)(n >> 64);
    assert(sn == 0600340000000100000);
    return 0;
}
